package com.heyu.api.data.dao.api;
/**
* <p>
* 账户表 服务类
* </p>
*
* @author quyixiao
* @since 2025-04-16
*/

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.heyu.api.data.entity.api.ApiIdCardEntity;
import com.lz.mybatis.plugin.annotations.LIMIT;
import com.lz.mybatis.plugin.annotations.Plus;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface ApiIdCardDao extends BaseMapper<ApiIdCardEntity> {


	ApiIdCardEntity selectApiIdCardById(@Param("id")Long id);


	Long insertApiIdCard(ApiIdCardEntity apiIdCard);


	Long insertOrUpdateApiIdCard(ApiIdCardEntity apiIdCard);


	int updateApiIdCardById(ApiIdCardEntity apiIdCard);


	int updateCoverApiIdCardById(ApiIdCardEntity apiIdCard);


	int deleteApiIdCardById(@Param("id")Long id);


	@LIMIT
	ApiIdCardEntity selectApiIdCardByIdCardNameChannelEnableStatus(String idCard, String realName, String channel,Integer enableStatus);



	int updateApiIdCardUseCountById(@Plus Long useCount, Long id);
}